/*-----------------------COURSES-NAVIGATION----------------------*/
main {
	padding: 0;
}

footer {
	margin-top: 0 !important;
}

section#button{
	padding: 2% 0 0;
}

button#filter-btn{
	display: block;
	text-align: center;
	margin: 0 auto;
	padding: 2% 2%;
	background-color: white;
	border-style: solid;
	border-width: 1px;
	border-color: lightgrey;
	font-size: large;
}

.clearfix:after {
	content: " ";
	visibility: hidden;
	display: block;
	height: 0;
	clear: both;
 }

section#courses-navigation{
	width: 100%;
	box-sizing: border-box;
    padding: 0;
	background-color: whitesmoke;
}

button#filter-btn:focus{
	outline: none;
}

#courses-navigation p{
	float: left;
	margin: 4vw 4vw 0;
	font-size: larger;
	text-align: left;
	color: black;
}

select#order-by{
	float: right;
	margin: 4vw 4vw 0;
	box-sizing: border-box;
	border: none;
	font-size: larger;
	background-color:  whitesmoke;
}

select#order-by option{
	font-size: small;
}

select#order-by:focus{
	outline: none;
}

/*-----------------------FILTERS----------------------*/

div#filter-container{
	width: 100%;
	height: fit-content;
	background-color: #222;
	display: none;
}

section#filters{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	background-color: #333;
	padding: 2% 0;
}

section#filters #go-back{
	width: 25%;
	background-color: #333;
	border: none;
	padding: 1%;
	margin: 1%;
	text-align: center;
	text-decoration: underline;
	font-size: small;
	color: white;
}

section#filters #go-back:focus {
	outline: none;
}

section#filters p{
	width: 40%;
	padding: 2% 2%;
	margin: 0;
	text-align: center;
	font-size: large;
	color: white;
}

section#filters #apply, #go-back{
	width: 25%;
	padding: 1%;
	margin: 1%;
	text-align: center;
	font-size: small;
	background-color: #333;
	color: white;
	text-decoration: underline;
	border: none;
}

fieldset.filters{
	border-style: none;
	margin: 0;
	padding: 3%;
	background-color: white;
	border-bottom: 1px solid darkgray;
}

fieldset label {
	font-size: large;
}

div.accordion-container{
	border-bottom: 1px solid darkgray;
}

.tabs {
	display: none;
}

.accordion {
	background-color: #222;
  	color: white;
  	cursor: pointer;
	padding: 3vw 3vw;
	padding-left: 8vw;
  	width: 100%;
	text-align: left;
	font-size: large;
  	border: none;
	outline: none;
	transition: 0.4s;
}

.accordion:focus {
	outline: none;
}

.panel {
	padding: 0 3vw;
	background-color: #333;
	max-height: 0;
	overflow: hidden;
	border-top: 1px solid darkgray;
	transition: max-height 0.3s ease-out;
}

.p_active {
	display: block;
	max-height: fit-content;
	padding-left: 8vw;
}

.panel input {
	opacity: 0;
	padding: 2vw 0;
	position: absolute; 
	z-index: 1;
}

.panel input, .panel label {
	display: block;
	margin: 2vw 0;
	margin-left: 1vw;
    cursor: pointer;
}

.panel label {
	position: relative;
	font-size: medium;
	color: white;
}

.panel label:before {
    content: '';
    background: #fff;
	border: 2px solid #ddd;
    display: inline-block;
    vertical-align: middle;
    width: 4vw;
    height: 4vw;
	padding: 4px;
    margin: 2px 10px;
	text-align: center;
}

.panel input:checked + label:before {
	content: "\2713";
	height: 4vw;
	width: 4vw;
	background-size: cover;
	color: black;
}

.panel input:checked {
	border: 2px solid black;
}

.accordion:after {
	content: '\002295';
	font-size: 5vw;
	color:#e3614f;
	float: right;
	margin-left: 5px;
}
  
.active:after {
	content: "\002296";
}

.show {
	display: block !important;
}

.hide {
	display: none !important;
}

/*-----------------------HEADER----------------------*/

div#container {
	width: 100%;
	display: blocK;
}

section#header{
	box-sizing: content-box;
	width: 100%;
	padding: 2% 0 0%;
	margin: 0;
	background-color: whitesmoke;
}

section#header h2 {
	text-align: center;
	font-size: large;
}

section#header p {
	box-sizing: content-box;
	text-align: center;
	padding: 0 4%;
	margin: 2% 0 0;
}

/*-----------------------COURSES----------------------*/

#not-found {
	display: block;
	width: 100%;
	margin: 20vw auto;
	text-align: center;
	font-size: x-large;
}

div#courses-display{
	width: 92%;
	margin: 0;
	padding: 2% 4% 2%;
	box-sizing: content-box;
	background-color: whitesmoke;
}

.course {
	width: 100%;
	margin: 2% auto 0;
	position: relative;
	box-sizing: content-box;
	padding-top: 100%;
	margin-bottom: 5%;
	border-style: solid;
	border-color: lightgrey;
	border-width: 1px;
	background-color: white;
}

span.course-date{
	position: absolute;
	top: 5%;
	left: 15%;
	right: 15%;
	background-color: white;
	box-sizing: border-box;
	text-align: center;
	padding: 10px;
	font-size: medium;
	z-index: 1;
	border-radius: 5px;
}

img.course-img{
	width: 100%;
	height: 90vw;
	top: 0;
	left: 0;
	position: absolute;
	object-fit: cover;
	box-sizing: border-box;
}

p.type-of-course{
	width: 84vw;
	height: fit-content;
	margin: 1%;
	padding-left: 3%;
	font-size: 3vw;
}

p.course-name, p.price, p.tickets-left{
	margin: 1%;
	padding-left: 3%;
}

p.course-name{
	width: 84vw;
	font-size: 5vw;
	font-weight: bold;
}

p.price {
	width: 84vw;
	font-size: 4vw;
}

p.tickets-left {
	width: 84vw;
	font-size: 4vw;
}

button.see-details {
	clear: both;
	width: 92%;
	margin-top: 1%;
	display: block;
	padding: 3% 4%;
	margin: 3% auto 3%;
	font-size: 150%;
	border: 1px solid #a3a3a3;
	border-radius: 5px;
}


@media only screen and (min-width: 600px) {
	section#filters{
		padding: 0;
	}

	section#filters p {
		width: 75%;
	}
	section#filters #go-back {
		width: 10%;
	}

	section#filters #apply {
		background-color: #333;
		color: white;
		border: none;
		width: 10%;
		text-decoration: underline;
	}
	header#banner{
		padding: 1.65%;
	}
	span.banner-caption{
		padding: 15px;
	}
	
	div.home-display{  
		display: flex; 
		flex-wrap: wrap;  
		justify-content: center; 
		padding: auto;
		padding: 0;
	}
	
	div.category{ 
		position: relative; 
		width: 30%; 
		height: 0; 
		padding-top: 30%; 
		margin-left: 1.65%;
		margin-right: 1.65%;
	}

	nav#filters #go-back{
		width: 10%;
		padding: 0.5% 0 0.5% 6%;
		margin: 1%;
		font-size: small;
	}

	nav#filters p{
		display: none;
	}

	nav#filters #apply{
		width: 10%;
		padding: 0.5% 1%;
		margin: 1%;
		margin-right: 6%;
		font-size: small;
	}
	
	img.category-img{ padding: 3%; }

	section#header{
		padding: 1% 0 0;
	}

	section#header p{
		padding: 0 6%;
		margin: 1% 0 0;
	}

	section#button{
		padding: 0;
	}
	
	button#filter-btn{
		padding: 2% 3%;
		margin: 0;
		margin-right: 6%;
		width: 100%;
		text-align: center;
		background-color: #333;
		font-size: larger;
		border: none;
		color: white;
	}

	div#courses-navigation p{
		margin: 1% 6%;
	}

	.accordion {
		display: none;
	}

	.tabs {
		display: inline;
	}

	#tab-container {
		text-align: center;
		margin: 0;
		padding: 0;
		display: flex;
		justify-content: center;
		background: #222;
		width: 100%;
	}

	#filter-container {
		overflow: hidden;
		height: 0;
		background-color: lightgray;
		border: 1px solid darkgray;
		transition: height 2s ease-in-out;
	}

	.show {
		display: block !important;
		height: 250px !important;
	}

	.hide {
		display: block !important;
	}

	ul.tabs {
		display: flex;
		flex-direction: row;
		justify-content: center;
		padding: 0;
		list-style: none;
		height: 32px;
		width: fit-content;
	}

	ul.tabs li {
		margin: 0;
		cursor: pointer;
		padding: 1vw 2vw;
		height: 31px;
		line-height: 31px;
		border: 2px solid #e3614f;
		background-color: #222;
		color: white;
		overflow: hidden;
		position: relative;
		font-size: large;
	}

	.tab_last { border-right: 1px solid #222; }

	ul.tabs li.active {
		background-color: #e3614f;
		color: white;
	}

	.active:after {
		display: none;
	}

	ul.tabs li:hover {
		background-color: #e3614f;
		color: white;
	}

	div.accordion-container {
		display: inline-block;
		border: none;
		width: 100%;
		padding: 0;
	}

	.accordion:after{
		display: none;
	}

	.panel {
		display: flex;
		justify-content: center;
		width: 100%;
		margin: 0;
		padding: 0;
		border: none;
		background-color: #222;
	}

	.panel label {
		display: inline;
		text-align: center;
		padding: 2vw 3vw;
		margin: 2% 1%;
		color: white;
		border: 2px solid white;
	}

	.panel label:before, .panel input:checked + label:before  {
		display: none;
	}

	.panel input:checked + label {
		border: 2px solid #e3614f;
	}

	.panel input:hover + label {
		background-color: #e3614f;
	}

	#courses-display {
		width: 92%;
		display: flex;
		flex-wrap: wrap;
		padding: 3% 4%;
	}

	.course { 
		position: relative; 
		width: 25vw;
		height: fit-content;
		padding-top: 26vw; 
		margin: 0 2.3vw 3%;
		display: flex; 
		flex-wrap: wrap;  
		justify-content: center; 
	}

	img.course-img{
		width: 100%;
		height: 25vw;
	}

	p.type-of-course{
		width: 90%;
		font-size: 1.2vw;
	}

	p.course-name{
		width: 90%;
		font-size: 1.5vw;
	}

	p.price {
		width: 90%;
		font-size: 1.3vw;
	}

	p.tickets-left {
		width: 90%;
		font-size: 1.3vw;
	}

	button.see-details {
		width: 100%;
		font-size: 2vw;
		padding: 1%
	}

	#courses-display a {
		width: 94%;
	}

	#not-found {
		margin: 10vw auto;
	}
	
	
}

